param([string]$Vfoldername = $args[0], [string]$Vdate = $args[1], [string]$Vcat = $args[2])

$Vtestpath = Test-Path $Vfoldername 

if ( $Vdate -eq '1900-01-00') 
  { Write-Host "Skipped (date)" $Vcat " " $Vdate " " $Vfoldername} 
else
  { 
    if ( $Vtestpath -eq 'True')
      { 
        $a = get-item $Vfoldername
        $a.CreationTime   = $Vdate
        $a.LastWriteTime  = $Vdate
        $a.LastAccessTime = $Vdate
        Write-Host "UPDATED" $Vcat " " $Vdate " " $Vfoldername
      }
    else { Write-Host "Skipped (path)" $Vcat " " $Vdate " " $Vfoldername }
  }

